Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005349TestLinkBug Tracking System - Bugzilla Integrationpublic2012-11-16 18:192013-05-30 19:42
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005349: Bugzilla XMLRPC INTERFACE - Create Issue from TestLink
Descriptionnew config options are needed in xml
<addIssueEnabled>true/false</addIssueEnabled>
<product>BUGZILLA PRODUCT NAME</product>
<version>BUGZILLA PRODUCT VERSION </version>
<component>BUGZILLA component NAME</component>
<severity>BUGZILLA BUG SEVERITY </severity>
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0005347closedfman Mantis SOAP INTERFACE - Create Issue from TestLink 
child of 0005350closedfman Bug Tracking Integration - Create Issue with JUST ONE CLICK 

-  Notes
(0017831)
fman (administrator)
2012-11-16 18:19

useful info from:
http://petehowe.co.uk/2010/example-of-calling-the-bugzilla-api-using-php-zend-framework/ [^]
(0017832)
fman (administrator)
2012-11-16 18:20

$oClient = new Zend_XmlRpc_Client('http://my.zilla.url/xmlrpc.cgi' [^]);
 
$oHttpClient = new Zend_Http_Client();
$oHttpClient->setCookieJar();
$oClient->setHttpClient($oHttpClient);
 
$aResponse = $oClient->call('User.login', array(array(
    'login' => 'peterh@mydomain.com',
    'password' => 'mypassword',
    'remember' => 1
)));
 
$aResponse = $oClient->call('Bug.create', array(array(
    'product' => "My Product",
    'component' => "My Component",
    'summary' => "This is the summary of the bug I'm creating",
    'version' => "unspecified",
    'description' => "This is a description of the bug",
    'op_sys' => "All",
    'platform' => "---",
    'priority' => "P5",
    'severity' => "Trivial"
)));
$iBugId = $aResponse['id'];
 
$aResponse = $oClient->call('User.logout');
(0017833)
fman (administrator)
2012-11-16 22:05
edited on: 2012-11-16 22:06

NO DATA WILL BE REQUESTED on GUI to user.

Issue summary will be created with following info:
Testcase path & Execution timestamp (ISO FORMAT)

Issue description will be created automatically using following information got from execution:

Execution ID:
Tester:
Test Plan:
(Platform if exists)
Build:
Execution timestamp (ISO FORMAT)
Execution Status
Execution notes



- Issue History
Date Modified Username Field Change
2012-11-16 18:19 fman New Issue
2012-11-16 18:19 fman Status new => assigned
2012-11-16 18:19 fman Assigned To => fman
2012-11-16 18:19 fman Issue generated from: 0005347
2012-11-16 18:19 fman Relationship added related to 0005347
2012-11-16 18:19 fman Note Added: 0017831
2012-11-16 18:20 fman Note Added: 0017832
2012-11-16 18:20 fman Category Bug Tracking System - Mantis Integration => Bug Tracking System - Bugzilla Integration
2012-11-16 18:22 fman Description Updated View Revisions
2012-11-16 22:01 fman Tag Attached: TO BE FIXED on 2.0
2012-11-16 22:05 fman Note Added: 0017833
2012-11-16 22:06 fman Note Edited: 0017833 View Revisions
2012-11-17 09:44 fman Relationship added child of 0005320
2012-11-17 09:44 fman Relationship deleted child of 0005320
2012-11-17 09:44 fman Relationship added child of 0005350
2012-11-24 07:31 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-11-24 07:32 fman Status assigned => resolved
2012-11-24 07:32 fman Resolution open => fixed
2013-05-30 19:42 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker